# Generated by Django 4.0.3 on 2022-03-24 08:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('projects', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RootTopic',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=512, unique=True, verbose_name='Root Topic')),
                ('project', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='projects.project')),
            ],
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, unique=True, verbose_name='Name')),
                ('description', models.TextField(verbose_name='Description')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projects.project', verbose_name='Project')),
            ],
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=512, verbose_name='Topic Expression')),
                ('allow_publish', models.BooleanField(default=False, verbose_name='Allow Publish')),
                ('allow_subscribe', models.BooleanField(default=False, verbose_name='Allow Subscribe')),
                ('allow_qos0', models.BooleanField(default=False, verbose_name='Allow QoS0')),
                ('allow_qos1', models.BooleanField(default=False, verbose_name='Allow QoS1')),
                ('allow_qos2', models.BooleanField(default=False, verbose_name='Allow QoS2')),
                ('allow_retained', models.BooleanField(default=False, verbose_name='Allow retained messages')),
                ('allow_shared_subscriptions', models.BooleanField(default=False, verbose_name='Allow shared subscriptions')),
                ('shared_group', models.CharField(blank=True, max_length=64, verbose_name='Shared Group')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mqtt.role', verbose_name='Role')),
            ],
        ),
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='Name')),
                ('password', models.CharField(max_length=255, verbose_name='Password')),
                ('pw_hash_algorithm', models.CharField(choices=[('md5', 'MD5'), ('sha512', 'SHA512'), ('bcrypt', 'BCRYPT'), ('pkcs5s2', 'PKCS5S2'), ('plain', 'plain')], max_length=10)),
                ('pw_hash_rounds', models.IntegerField(default=0, verbose_name='Hash rounds')),
                ('pw_salt', models.CharField(max_length=255, verbose_name='Password Salt')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projects.project', verbose_name='Project')),
                ('roles', models.ManyToManyField(to='mqtt.role', verbose_name='Roles')),
            ],
        ),
    ]
