# Generated by Django 4.1.4 on 2023-02-15 08:32

from django.db import migrations


def set_algorithms_uppercase(apps, schema_editor):
    devices = apps.get_model('mqtt', 'Device')
    for device in devices.objects.all():
        device.pw_hash_algorithm = device.pw_hash_algorithm.upper()
        device.save()


def revert_set_algorithms_uppercase(apps, schema_editor):
    devices = apps.get_model('mqtt', 'Device')
    for device in devices.objects.all():
        device.pw_hash_algorithm = device.pw_hash_algorithm.lower()
        device.save()


class Migration(migrations.Migration):

    dependencies = [
        ("mqtt", "0004_alter_permission_topic"),
    ]

    operations = [
        migrations.RunPython(set_algorithms_uppercase, revert_set_algorithms_uppercase)
    ]
